#include <vector>
#include <string>
#include <Command.h>
#include <Profile.h>
#include <Projection.h>

#ifndef _Plot
#define _Plot


class Plot
{
private:
	vector <Projection *> projection;
	Profile *profile;

public:
	Plot(Profile);
	void eventloop(void);
	void execute(Command * cmd);
	void optionMenu(void);

	void changemode(int dir);
	int kbhit (void);

};

#endif
